import { GetCompletionsResponse } from "./api/proto/exa/language_server_pb/language_server_pb.js";
import { CodeiumConfig } from "./config.js";
import { ChangeSpec } from "@codemirror/state";
export declare function getCodeiumCompletions({ text, cursorOffset, config, }: {
    text: string;
    cursorOffset: number;
    config: CodeiumConfig;
}): Promise<GetCompletionsResponse>;
export declare function simplifyCompletions(completions: GetCompletionsResponse): {
    offset: number;
    text: string;
    type: import("./api/proto/exa/language_server_pb/language_server_pb.js").CompletionPartType;
    prefix: string;
    line: bigint;
}[];
export declare function completionsToChangeSpec(completions: GetCompletionsResponse): ChangeSpec[];
//# sourceMappingURL=codeium.d.ts.map